GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent Class Reference

## Public Member Functions
byte [] | getCustomerLogo ()
void | setCustomerLogo (byte[] value)
String | getBarcode ()
void | setBarcode (String value)
BarcodeContentType | getBarcodeContentType ()
void | setBarcodeContentType (BarcodeContentType value)
BarcodeType | getBarcodeType ()
void | setBarcodeType (BarcodeType value)
Boolean | isHideShipperAddress ()
void | setHideShipperAddress (Boolean value)

## Protected Attributes
byte [] | customerLogo
String | barcode
BarcodeContentType | barcodeContentType
BarcodeType | barcodeType
Boolean | hideShipperAddress

## Detailed Description

Custom content provided for label generation (e.g. customer logo)

Java class for CustomContent complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="CustomContent">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="CustomerLogo" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
            <element name="Barcode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="BarcodeContentType" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}BarcodeContentType" minOccurs="0"/>
            <element name="BarcodeType" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}BarcodeType" minOccurs="0"/>
            <element name="HideShipperAddress" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 46 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## Member Function Documentation

## ◆ getBarcode()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.getBarcode | ( |  | ) |

Gets the value of the barcode property.

Returns
  possible object is String

Definition at line 91 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ getBarcodeContentType()

BarcodeContentType eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.getBarcodeContentType | ( |  | ) |

Gets the value of the barcodeContentType property.

Returns
  possible object is String

Definition at line 115 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ getBarcodeType()

BarcodeType eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.getBarcodeType | ( |  | ) |

Gets the value of the barcodeType property.

Returns
  possible object is String

Definition at line 139 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ getCustomerLogo()

byte [] eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.getCustomerLogo | ( |  | ) |

Gets the value of the customerLogo property.

Returns
  possible object is byte[]

Definition at line 68 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ isHideShipperAddress()

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.isHideShipperAddress | ( |  | ) |

Gets the value of the hideShipperAddress property.

Returns
  possible object is Boolean

Definition at line 163 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ setBarcode()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.setBarcode | ( | String | value | ) |

Sets the value of the barcode property.

Parameters

  value | allowed object is String

Definition at line 103 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ setBarcodeContentType()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.setBarcodeContentType | ( | BarcodeContentType | value | ) |

Sets the value of the barcodeContentType property.

Parameters

  value | allowed object is String

Definition at line 127 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ setBarcodeType()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.setBarcodeType | ( | BarcodeType | value | ) |

Sets the value of the barcodeType property.

Parameters

  value | allowed object is String

Definition at line 151 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ setCustomerLogo()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.setCustomerLogo | ( | byte [] | value | ) |

Sets the value of the customerLogo property.

Parameters

  value | allowed object is byte[]

Definition at line 79 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ setHideShipperAddress()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.setHideShipperAddress | ( | Boolean | value | ) |

Sets the value of the hideShipperAddress property.

Parameters

  value | allowed object is Boolean

Definition at line 175 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## Member Data Documentation

## ◆ barcode

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.barcode
| protected

Definition at line 51 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ barcodeContentType

BarcodeContentType eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.barcodeContentType
| protected

Definition at line 54 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ barcodeType

BarcodeType eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.barcodeType
| protected

Definition at line 57 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ customerLogo

byte [] eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.customerLogo
| protected

Definition at line 49 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

## ◆ hideShipperAddress

Boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CustomContent.hideShipperAddress
| protected

Definition at line 59 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/CustomContent.java